Name: tini
Summary: A tiny but valid `init` for containers
Version: 0.16.1
Release: 1%{?dist}

License: MIT

BuildRequires: make
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: glibc-static
Source0: https://github.com/krallin/tini/archive/v%{version}.tar.gz

%description
All Tini does is spawn a single child (Tini is meant to be run in a container),
and wait for it to exit all the while reaping zombies and performing signal forwarding.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="-DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37"
cmake . && make

%install
mkdir -p %{buildroot}%{_bindir}
mv tini %{buildroot}/%{_bindir}/tini
mv tini-static %{buildroot}/%{_bindir}/tini-static

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/tini
%{_bindir}/tini-static
